List Knowledge Bases
curl --request GET \
--url https://app.famulor.de/api/user/knowledgebases \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.famulor.de/api/user/knowledgebases', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://app.famulor.de/api/user/knowledgebases"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.famulor.de/api/user/knowledgebases",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://app.famulor.de/api/user/knowledgebases"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"data": [
{
"id": 1,
"name": "Product Documentation",
"description": "Technical documentation for our products",
"status": "active",
"status_label": "Active",
"documents_count": 5,
"assistants_count": 2,
"created_at": "2025-01-05T10:30:00.000000Z",
"updated_at": "2025-01-08T14:20:00.000000Z"
},
{
"id": 2,
"name": "FAQ Knowledge",
"description": "Frequently asked questions and answers",
"status": "processing",
"status_label": "Processing",
"documents_count": 1,
"assistants_count": 0,
"created_at": "2025-01-08T09:00:00.000000Z",
"updated_at": "2025-01-08T09:05:00.000000Z"
}
]
}
{
"data": []
}
List Knowledge Bases
Retrieves all knowledge bases of the authenticated user
GET
/
api
/
user
/
knowledgebases
List Knowledge Bases
This endpoint returns a list of all knowledge bases linked to your account. Knowledge bases are used to store documents that provide context and information for your AI assistants.
Response Fields
Array of knowledge base objects
Show Knowledge Base Properties
Show Knowledge Base Properties
The unique identifier of the knowledge base
The name of the knowledge base
Optional description of the knowledge base
Current status:
empty, processing, active or failedHuman-readable status label
Number of documents in this knowledge base
Number of assistants using this knowledge base
ISO 8601 timestamp of creation
ISO 8601 timestamp of last update
Knowledge Base Status
| Status | Description |
|---|---|
empty | Knowledge base has no documents |
processing | One or more documents are being processed |
active | All documents are processed and ready |
failed | One or more documents failed to process |
{
"data": [
{
"id": 1,
"name": "Product Documentation",
"description": "Technical documentation for our products",
"status": "active",
"status_label": "Active",
"documents_count": 5,
"assistants_count": 2,
"created_at": "2025-01-05T10:30:00.000000Z",
"updated_at": "2025-01-08T14:20:00.000000Z"
},
{
"id": 2,
"name": "FAQ Knowledge",
"description": "Frequently asked questions and answers",
"status": "processing",
"status_label": "Processing",
"documents_count": 1,
"assistants_count": 0,
"created_at": "2025-01-08T09:00:00.000000Z",
"updated_at": "2025-01-08T09:05:00.000000Z"
}
]
}
{
"data": []
}
Related pages: Introduction and Authentication Guide, and API Integration Examples.
Was this page helpful?
⌘I

